package com.code.test;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import org.apache.poi.hssf.util.AreaReference;
import org.apache.poi.hssf.util.CellReference;
import org.apache.poi.openxml4j.exceptions.InvalidFormatException;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.DataConsolidateFunction;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.xssf.usermodel.XSSFPivotTable;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

public class TestPivotExample {

	public static void main(String[] args) throws FileNotFoundException, IOException, InvalidFormatException {
		
		File someFile = new File("c:\\learning\\test1.xlsx");
		FileInputStream fis = new FileInputStream(someFile);
    
    XSSFWorkbook wb = new XSSFWorkbook (fis);
		XSSFSheet sheet = wb.getSheetAt(1);
		XSSFSheet sheet0 = wb.getSheetAt(0);
		sheet0.setActiveCell("A4");
		XSSFPivotTable pivotTable = sheet0.createPivotTable(new AreaReference("A3:H6"), new CellReference("A4"), sheet);
		pivotTable.addRowLabel(1);
		pivotTable.addRowLabel(3);
		pivotTable.addRowLabel(5);
		pivotTable.addColumnLabel(DataConsolidateFunction.SUM, 6, "Sum of days with hauls");
		pivotTable.addColumnLabel(DataConsolidateFunction.SUM, 7, "Sum of days site cutoff");
		FileOutputStream fileOut = new FileOutputStream("c:\\learning\\test2.xlsx");
		wb.write(fileOut);
		wb.close();
		fileOut.close();
		fis.close();
	}

}
